﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace BusyIndicator
{
    public class ViewModel : ViewModelBase
    {
        public ViewModel()
        {
            this.CloseCommand = new DelegateCommand(this.CloseCommandExecuted, this.CloseCommandCanExecute);
            this.isBusy = true;
        }

        private void CloseCommandExecuted(object obj)
        {
            this.IsBusy = false;
        }

        private bool CloseCommandCanExecute(object obj)
        {
            return true;
        }

        private DelegateCommand closeCommand;

        public DelegateCommand CloseCommand
        {
            get { return this.closeCommand; }
            set { this.closeCommand = value; }
        }

        private bool isBusy;

        public bool IsBusy
        {
            get 
            { 
                return this.isBusy; 
            }
            set 
            {
                if (this.isBusy != value)
                {
                    this.isBusy = value;
                }
                OnPropertyChanged(() => this.IsBusy);
            }
        }

    }
}
